Bug 454596 - When changing the Keyword delimiter from colon to space or space to colon , change does not come into effect immediately and web search does not work for changed value.
Summary: When changing the Keyword delimiter from colon to space or space to colon , c...
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: webshortcuts (show other bugs)
Version: 5.24.5
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-05-30 05:23 UTC by Subham Poddar
Modified: 2022-06-01 20:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Subham Poddar 2022-05-30 05:23:29 UTC
SUMMARY
Let Keyword delimiter be colon . So when I type "g:apple" in KRunner , Krunner shows option to search google for "apple" . But if I change the Keyword delimiter from colon to space and I type "g apple" , Krunner does not show option to search google for "apple" . But after restart of my computer , Keyword delimiter as space starts working , i.e. when I type "g apple" , Krunner shows option to search google for "apple" . Same thing happens when Keyword delimiter is changed from space to colon . From this behaviour, I observed changed value of Keyword delimiter does not come into effect immediately and  changed value only works after restart of the computer.


STEPS TO REPRODUCE
1. Change the value of Keyword delimiter.
2. Open Krunner
3. Type to web search in KRunner with the changed Keyword delimiter, for example if Keyword delimiter was changed to space from colon then type "g apple"

OBSERVED RESULT
No option to search on the web

EXPECTED RESULT
An option to search web

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.4
Kernel Version: 5.18.0-arch1-1 (64-bit)
Graphics Platform: X11

ADDITIONAL INFORMATION
Krunner Package details:-
Repository      : extra
Name            : krunner
Version         : 5.94.0-1
Description     : Framework for providing different actions given a string query
Architecture    : x86_64
URL             : https://community.kde.org/Frameworks
Licenses        : LGPL
Groups          : kf5
Provides        : None
Depends On      : plasma-framework  threadweaver
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 391.88 KiB
Installed Size  : 825.78 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Sun 08 May 2022 02:12:29 PM IST
Validated By    : MD5 Sum  SHA-256 Sum  Signature
Comment 1 Paul Worrall 2022-05-30 07:29:07 UTC
Set status to Confirmed. Can reproduce on:

Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.4
Kernel Version: 5.13.0-41-generic (64-bit)
Graphics Platform: X11
Processors: 2 × AMD A6-6400K APU with Radeon(tm) HD Graphics
Memory: 7.7 GiB of RAM
Graphics Processor: AMD CEDAR
Comment 2 Bug Janitor Service 2022-06-01 14:14:07 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1792
Comment 3 Alexander Lohnau 2022-06-01 15:53:45 UTC
Git commit a5378b5282954a7f6143bfdd5c4702e010a84312 by Alexander Lohnau.
Committed on 01/06/2022 at 15:45.
Pushed by alex into branch 'master'.

runners/webshortcuts: Do not use static regex for normal webshortcuts query

The delimiter might change if the settings are changed.
By having a member variable, we still avoid re-creating the same regex for every time the runner is queried.

M  +2    -2    runners/webshortcuts/webshortcutrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/a5378b5282954a7f6143bfdd5c4702e010a84312
Comment 4 Alexander Lohnau 2022-06-01 15:54:48 UTC
Git commit 5f4c7097348bdb6c01d7dd5206699fd18ecbcadf by Alexander Lohnau.
Committed on 01/06/2022 at 15:54.
Pushed by alex into branch 'Plasma/5.25'.

runners/webshortcuts: Do not use static regex for normal webshortcuts query

The delimiter might change if the settings are changed.
By having a member variable, we still avoid re-creating the same regex for every time the runner is queried.


(cherry picked from commit a5378b5282954a7f6143bfdd5c4702e010a84312)

M  +2    -2    runners/webshortcuts/webshortcutrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/5f4c7097348bdb6c01d7dd5206699fd18ecbcadf
Comment 5 Alexander Lohnau 2022-06-01 15:55:16 UTC
Git commit f956c2364e22c63b1eb0d240cee43726db5f5e99 by Alexander Lohnau.
Committed on 01/06/2022 at 15:55.
Pushed by alex into branch 'Plasma/5.24'.

runners/webshortcuts: Do not use static regex for normal webshortcuts query

The delimiter might change if the settings are changed.
By having a member variable, we still avoid re-creating the same regex for every time the runner is queried.


(cherry picked from commit a5378b5282954a7f6143bfdd5c4702e010a84312)

M  +2    -2    runners/webshortcuts/webshortcutrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/f956c2364e22c63b1eb0d240cee43726db5f5e99